# MXNet - Python API

MXNet provides a rich Python API to serve a broad community of Python developers.
In this section, we provide an in-depth discussion of the functionality provided by
various MXNet Python packages. We have included code samples for most of the APIs
for improved clarity. These code samples will run as-is as long as MXNet is first
imported by running:

```python
>>> import mxnet as mx
```

```eval_rst

.. note:: A convenient way to execute examples is the ``%doctest_mode`` mode of
    Jupyter notebook, which allows for pasting multi-line examples containing
    ``>>>`` while preserving indentation. Run ``%doctest_mode?`` in Jupyter notebook
    for more details.

```

## Table of contents

```eval_rst
.. toctree::
   :maxdepth: 2

   ndarray
   symbol
   module
   rnn
   kvstore
   io
   optimization
   callback
```
